Kerbal Space Program - Bug #14344

KSP randomly overwrites Unity resolution with 100
03/17/2017 04:12 PM - roryyamm

Status: Duplicate Start date: 03/17/2017
Severity: High % Done: 100%
Assignee:

Category: Application

Target version:

Version: 1.2.2 Language: English (US)
Platform: Linux Mod Related: No
Expansion:

Description

| have a real problem. | go to play the game, only to discover that the game is now 100x100 (Common Desktop Environment calls it
1x1) and | cannot restart to fix it. the only way | can fix it is to manually edit the file ".config/unity3d/Squad/Kerbal Space
Program/prefs" and change the two 100s to 720 and 1152. And even then, sometimes KSP just overwrites it again.

Related issues:
Is duplicate of Kerbal Space Program - Bug #11382: Bad resolution calls crash... Unity Bug 09/14/2016

History

#1 - 03/20/2017 03:24 PM - sal_vager

Hi Roryyamm, please see here for workarounds to this issue.

http://forum.kerbalspaceprogram.com/index.php?/topic/83214-the-linux-thread/

#2 - 03/21/2017 10:49 AM - sal_vager

- Status changed from New to Unity Bug
- % Done changed from 0 to 100
Setting as a Unity3D issue

https://forum.unity3d.com/threads/screen-setresolution-ignores-window-dimensions-on-linux.457606/

#3 - 03/21/2017 11:14 AM - Squelch

- Is duplicate of Bug #11382: Bad resolution calls crash X window manager. added

#4 - 03/21/2017 12:01 PM - Squelch
- Status changed from Unity Bug to Duplicate
